#include <iostream>
#include <fstream>

using namespace std;

/*
 * fibonacci.cpp created 11:15 on 26th August 2005 author Sara Collins
 * 
 * Program to calculate the fibonacci sequence for a specified number
 * to a specified order and output to a file.
 */

int main(int argc, char *argv[]){

  //check the correct number of arguments have been passed.
  if(argc != 4 || strcmp(argv[1],"--help") == 0){
    cerr << "Usage : " << argv[0] << " <number> <order >0 > <output file>" 
	 <<endl;
    return -1;
  }

  //convert arguments to double and int
  const double number = atof(argv[1]);
  const int order = atoi(argv[2]);

  const char *filename = argv[3];

  //open file for writing
  ofstream file(filename);

  //check the file is open
  if(!file.is_open()){
    cerr << "Error opening file " << filename << endl;
    return -1;
  }

  //output initial values of the sequence
  file << 1 << endl;
  if(order > 1)  file << number << endl;

  double fib = number;
  double fib_prev = 1;

  //calculate the next values and output
  for(unsigned int i = 3; i <= order; i++){
    double fib_next = fib*number + fib_prev;
    file << fib_next << endl;
    fib_prev = fib;
    fib = fib_next;
  }

  //close the file
  file.close();

  return 0;
}
