      program     cherry
!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v&

      use         shade_module
      use         fruit_module, only:                                   &
     &                          ok,                                     &
     &                          read_header,                            &
     &                          read_data,                              &
     &                          print_error;
      implicit    none
      integer                                :: mx, my
      real,    allocatable, dimension (:, :) :: h
      integer, allocatable, dimension (:, :) :: type
      integer                                :: i,   j
      integer                                :: unit = 10
!...+....1....+....2....+....3....+....4....+....5....+....6....+....7.v&
      integer                                :: status

      open (unit=unit, file='banana.out', status='old')
      call read_header (unit, mx, my, status)

      if (status /= 0) then
        call print_error(status)
        stop
      end if
      allocate (h    (1:mx, 1:my))
      allocate (type (1:mx, 1:my))
      h     (:, :) = 0
      type  (:, :) = 0
      call read_data (unit, type, h, status)
      if (status /= ok) then
        call print_error(status)
        stop
      end if
      close (unit=unit)

      call set_min_and_max(minval(type), maxval(type))
      call set_min_and_max(minval(h),    maxval(h))
      call set_colours(                                                 &
     &      (/  '.'    ,                                                &
     &          '`'    ,    '^'    ,  '7'   ,                           &
     &          '<'    ,    '+'    ,  '>'   ,                           &
     &          'L'    ,    'V'    ,  'J'   /))

      do j = my, 1, -1
        write(*,*) (colour(type(i,j)),i=1, mx)
      end do
      call del_colours()

      call set_colours( (/ '1',                                         &
     &                     '1', '.',                                    &
     &                     '3', '-',                                    &
     &                     '5', ':',                                    &
     &                     '7', '+',                                    &
     &                     '9', '*'   /))
      do j = my, 1, -1
        write(*,*) (colour(h(i,j)), i=1, mx)
      end do
      deallocate (h    )
      deallocate (type )
      call del_colours()

      end
