// Persistence of Vision Ray Tracer Scene Description File
// File: Butterfly_Valve.pov
// Vers: 3.1
// Desc: Basic Scene Example
// Date: 29/04/01
// Auth: siegfriedfeterowsky@web.de



// Good for animation. Let clock run from 0 to 1. 
//#declare winkel = clock*360
  
#declare winkel = 45;  
  
global_settings { assumed_gamma 1.0 number_of_waves 1 }

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"

 

camera {
        location <-20.0, 30.0,-75>
        direction z * 3
        up y
        right x*4/3
        look_at < -1,0,0>
        }
plane {y,-5 pigment {Navy * .1}}
light_source { <10.0, 50.0, 35.0> colour White }
light_source { <-35.0, 30.0, -150.0> colour White }

#declare loch =difference {
                          cylinder { <0,-4,0>, <0,-5,0>,1 texture {T_Chrome_5D}}
                          cylinder { <0,-3.9,0>, <0,-5.1,0>,.5 texture {T_Chrome_1A}}
                          }


cone {<-7,0,0>,2.6,<-6.2,0,0>,3.2 texture{T_Chrome_5D}}
cylinder {<-6.2,0,0>,<-4.4,0,0>, 3.2 texture {T_Chrome_5D}}

difference {
union {
object {loch translate <-5,9,-3.2>}
object {loch translate <4.5,9,-2.4>}
object {loch translate <-0.7,9,5.3>}

cylinder {<-.4,-4,0>,<-.4,5,0>, 5 texture {T_Chrome_5D}}
}

cylinder {<-.4,-4.1,0>,<-.4,5.1,0>, 4 texture {T_Chrome_5D}}
plane { <0,0,1>,-3.2 texture {T_Chrome_5D}}
}


difference {
cylinder {<-.4,-4,0>,<-.4,-5,0>, 5 texture {T_Chrome_5D}}
cylinder {<-.4,-3.9,0>,<-.4,-5.1,0>, 4 texture {T_Chrome_5D}}
}

cylinder {<3.6 0,0>,<5.6,0,0> ,1.8 texture {T_Chrome_5D}}

// Mountings


object {loch translate <-5,0,-3.2>}
object {loch translate <4.5,0,-2.4>}
object {loch translate <-0.7,0,5.3>}



#declare welle = union{
cylinder
{ <-9.2,0,0> , <5.8,0,0>, .6  texture {T_Copper_5A} finish {metallic}}
cylinder
{ <-.4,0,-.2>,<-.4,0,.2>, 4
 texture {T_Copper_5A}
 finish {metallic}








}
cylinder
{ <-9.,0,0>,<-7.,0,0>, 1.8 texture {T_Copper_5E}}
cylinder
{ <-9.1,-1,0>,<-9.1,1,0>, .1 texture {T_Copper_5E}}

box
{
  <-8.5, -1.8, 0>
  <-7.5,  1.8,  -10>
  texture {T_Copper_5E} }

difference {
cylinder
{ <-9.,0,-10>,<-7,0,-10>, 1.8 texture {T_Copper_5E}}
cylinder
{ <-9.1,0,-10>,<-6.9,0,-10>, .9 texture {T_Copper_5E}}
}

 }

object {welle rotate <winkel,0,0>}
