#include "textures.inc"
#include "colors.inc"
#include "stones.inc"


#macro Punto(P)
  sphere {P,0.3
    texture {Chrome_Metal}
  }                       
#end

#macro Segmento(P1,P2)
  cylinder {P1,P2, 0.15
    texture {Brass_Metal}
  }                       
#end

#declare Cubo = union {
  #local P0 = <-1,-1,-1>;
  #local P1 = <-1, 1,-1>;
  #local P2 = < 1, 1,-1>;
  #local P3 = < 1,-1,-1>;
  #local P4 = <-1,-1, 1>;
  #local P5 = <-1, 1, 1>;
  #local P6 = < 1, 1, 1>;
  #local P7 = < 1,-1, 1>;
  
  Punto(P0) Punto(P1) Punto(P2) Punto(P3)
  Punto(P4) Punto(P5) Punto(P6) Punto(P7)
  Segmento(P0,P1) Segmento(P1,P2)
  Segmento(P2,P3) Segmento(P3,P0)
  Segmento(P4,P5) Segmento(P5,P6)
  Segmento(P6,P7) Segmento(P7,P4)
  Segmento(P0,P4) Segmento(P1,P5)
  Segmento(P2,P6) Segmento(P3,P7)
}

#declare ang = 180*atan2(1,sqrt(2)/2)/pi;
union {
  
  object {
     Cubo
     rotate 45*z
     rotate ang*y
  }
  
  cylinder {
    -2.2*z,-2.4*z,2.5
    texture { T_Stone17 }
  }

  rotate -20*z
}

camera {
   location  <0,-20,5>   
   up    <0,0,1>
   right  <4/3,0,0>   
   sky <0,0,1>
   look_at <0,0,-.5>      
   angle 20
}


background {<1,.98,.94>}                  
         
light_source { <5, -3, 30> color rgb .5   } 
light_source { <-5, -12, 30> color rgb .5   } 
light_source { <0, 0, 30> color rgb .5   } 
