#/bin/bash
#############################################################
# Authors: Giuseppe La Rocca (giuseppe.larocca@ct.infn.it)  #
#	   Emidio Giorgio (emidio.giorgio@ct.infn.it)	    #
#		-----------------------------		    #
#  Istituto Nazionale di Fisica Nucleare - Sez. di CATANIA  #
#		Via Santa Sofia,64 - 95123 ITALY	    #
#		-----------------------------		    #
#	+39.095.378.54.46 	+39.095.378.54.69	    #
#############################################################

PROTEIN2RENDERING=protein2rendering
RASTERTOOLS=rastertools

echo "Start Rendering $PROTEIN2RENDERING.."
echo "..using the $RASTERTOOLS package." 

# Draw smooth $RASTERTOOLS with default color scheme 2, 
# save description (with header records) in ribbon.r3d. 
if [ "$RASTERTOOLS" == "balls" ] || [ "$RASTERTOOLS" == "rods" ]; then
	cat "$PROTEIN2RENDERING" | "$RASTERTOOLS" > ribbon.r3d
	echo "Creation of ribbon.r3d file..(1st case)"
	
else 	
	cat "$PROTEIN2RENDERING" | rods > ribbon.r3d
	echo "Creation of ribbon.r3d file..(2nd case)"
fi
 
# Extract Fe atoms only, and draw as spheres. 
# Color info is taken from colorfile. 
# Save description (with no header records) in irons.r3d. 
grep ``FE'' "$PROTEIN2RENDERING" | balls -h > irons.r3d 

if [ "$RASTERTOOLS" == "rings3d" ]; then
	rings3d -bases < "$PROTEIN2RENDERING" > temp.2
	# Combine the two descriptions and render as PNG image file.
	echo "Creation of temp.2 file.."
	# Combine the three descriptions and render as PNG image file.
	cat ribbon.r3d irons.r3d temp.2 | render -png > image.png
	echo "Creation of IMAGE.PNG!"
	# Remove the temponary file.
	rm temp.2
	
else
	echo "Creation of IMAGE.PNG!!"
	# Combine the two descriptions and render as PNG image file.
	cat ribbon.r3d irons.r3d | render -png  > image.png
fi	
	
# Remove the temponary files.
rm *.pdb
rm ribbon.r3d
rm irons.r3d
echo "..Done! Bye."
