date
echo "Start a MAGIC Monte Carlo"
echo " for Run Nr $1"
GLITE_UI=changeme
RUNNUMBER=$1
MAGIC_ROOT_DIR=/opt/MagicProgs/Simulation/Corsika/Mmcs619

export LCG_CATALOG_TYPE="edg"
export RMC_ENDPOINT=http://grid008.ct.infn.it:8080/gilda/edg-replica-metadata-catalog/services/edg-replica-metadata-catalog

echo " "
echo "   Content of working directory"
ls -l 

echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
#Check if the Corsika can run on the Worker Node.
if [ "x$GLITE_UI" = "xTRUE" ] ; then
	#glite-catalog-ls -l /mmcs_cer${RUNNUMBER}
	#glite-catalog-ls -l /mmcs_dat${RUNNUMBER}
	echo "Not yet supported!"
else
	lcg-lr --vo gilda  lfn:mmcs_cer${RUNNUMBER}
	lcg-lr --vo gilda  lfn:mmcs_dat${RUNNUMBER}
fi

if [ $? -eq 1 ]; then
	echo " "
	echo "   Start the job "
	echo "c619-linux < input_$1"
	$MAGIC_ROOT_DIR/c619-linux  < "input_$1"
	
	ls -al
	echo " "
	echo "   Renaming files"
	mv cer000001 mmcs_cer${RUNNUMBER}
	mv dat000001 mmcs_dat${RUNNUMBER}

	#Retrieving of the close SE where store the files.
	closeSE=`edg-brokerinfo getCloseSEs | cut -d " " -f 1`
	echo ${closeSE}
	#Store of this files onto the local SE.
	if [ "x$GLITE_UI" = "xTRUE" ] ; then
		#glite-put mmcs_cer${RUNNUMBER} lfn:///mmcs_cer${RUNNUMBER}
		#glite-put mmcs_dat${RUNNUMBER} lfn:///mmcs_dat${RUNNUMBER}
		echo "Not yet supported!"
	else
		lcg-cr --vo gilda -l lfn:mmcs_cer${RUNNUMBER} -d grid009.ct.infn.it file:`pwd`/mmcs_cer${RUNNUMBER}
		lcg-cr --vo gilda -l lfn:mmcs_dat${RUNNUMBER} -d grid009.ct.infn.it file:`pwd`/mmcs_dat${RUNNUMBER}
	fi	
	echo "#######################################################################################"
else
	echo "Job Aborted!!!. The same run number exists on the Catalog."	
fi
echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo " "
echo "   Content of working directory"
ls -l 
 
echo " " 
echo "Finished the MAGIC Monte Carlo"
date
